package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.CheckExamIsStartedReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryExamRecordForSelectScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.CheckExamIsStartedResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryExamRecordForSelectScoreResp;


@Service("examRecordCloudService")
public class ExamRecordCloudServiceClient extends AdminCloudClientSupport implements ExamRecordCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6596862028883396367L;

	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	public CheckExamIsStartedResp checkExamIsStarted(CheckExamIsStartedReq examRecordReq) {
		return post("examRecord/checkExamIsStarted", examRecordReq,CheckExamIsStartedResp.class);
	}

	@Override
	public QueryExamRecordForSelectScoreResp queryExamRecordForSelectScore(QueryExamRecordForSelectScoreReq req) {
		return post("examRecord/queryExamRecordForSelectScore", req, QueryExamRecordForSelectScoreResp.class);
	}

}
